@charset "utf-8";
#menu-button {
  position: fixed;
  display: flex;
  z-index: 701;
  opacity: 1;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 900;
  top: clamp(30px, var(--px-40), 40px);
  right: 5.55%;
  width: max(var(--px-48), 48px);
  aspect-ratio: 1 / 1;
  border: none;
  background: transparent;
  cursor: pointer;
}
#menu-button.nav-on {
  visibility: visible;
  opacity: 1;
}

#menu-button .c-menu-btn__lines {
  position: relative;
  margin: 0 auto;
  width: 34px;
  height: 29px;
}

#menu-button .c-menu-btn__lines span,
#menu-button .c-menu-btn__lines::before,
#menu-button .c-menu-btn__lines::after {
  position: absolute;
  display: block;
  right: 0;
  left: 0;
  margin: 0 auto;
  width: 34px;
  height: 5px;
  background-color: #fff;
  border-radius: 20px;
  box-shadow: 0 0 4px #000;
}

#menu-button .c-menu-btn__lines span {
  bottom: 12px;
  transition: all 0.25s 0.25s;
  opacity: 1;
  width: 50%;
  margin: 0 auto 0 0;
}

#menu-button .c-menu-btn__lines::before,
#menu-button .c-menu-btn__lines::after {
  content: "";
}

#menu-button .c-menu-btn__lines::before {
  bottom: 24px;
  animation: menu-bar01 0.75s forwards;
}

#menu-button .c-menu-btn__lines::after {
  bottom: 0px;
  animation: menu-bar03 0.75s forwards;
}

#menu-button .c-menu-btn__text {
  font-size: 12px;
  line-height: 1;
}

#menu-button.is-active .c-menu-btn__lines span {
  opacity: 0;
}

#menu-button.is-active .c-menu-btn__lines::before {
  animation: active-menu-bar01 0.5s forwards;
}

#menu-button.is-active .c-menu-btn__lines::after {
  animation: active-menu-bar03 0.5s forwards;
}

@keyframes menu-bar01 {
  0% {
    transform: translateY(9px) rotate(45deg);
  }

  50% {
    transform: translateY(9px) rotate(0);
  }

  100% {
    transform: translateY(0) rotate(0);
  }
}

@keyframes menu-bar03 {
  0% {
    transform: translateY(-9px) rotate(-45deg);
  }

  50% {
    transform: translateY(-9px) rotate(0);
  }

  100% {
    transform: translateY(0) rotate(0);
  }
}

@keyframes active-menu-bar01 {
  0% {
    transform: translateY(0) rotate(0);
  }

  50% {
    transform: translateY(9px) rotate(0);
  }

  100% {
    transform: translateY(9px) rotate(45deg);
  }
}

@keyframes active-menu-bar03 {
  0% {
    transform: translateY(0) rotate(0);
  }

  50% {
    transform: translateY(-9px) rotate(0);
  }

  100% {
    transform: translateY(-15px) rotate(-45deg);
  }
}
#main-menu-container .c-nav__list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
/*-------container----*/
#main-menu-container {
  position: fixed;
  z-index: 700;
  top: 0;
  left: auto;
  right: -100vw;
  bottom: auto;
  overflow-y: auto;
  background: #1e1e1e;
  background-size: cover;
  display: none;
  width: 100vw;
  height: 100vh;
  transition: 0.3s linear;
}

#main-menu-container.is-active {
  right: 0vw;
}

body #main-menu-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  padding-inline: 20px;
}
.c-nav__list a {
  color: #fff;
  font-size: max(var(--px-20), 20px);
}
.c-nav-body {
  max-width: max(var(--px-579), 579px);
  width: 100%;
  display: flex;
}
#main-menu-container .c-tel__btn-white {
  padding-inline: 20px;
}
.c-nav__wrap {
  flex: 1;
}
@media screen and (max-width: 820px) {
  .c-nav-body {
    flex-direction: column;
  }
  .c-nav__list {
    margin-bottom: 20px;
  }
  body #main-menu-container {
    flex-direction: column;
  }
}
@media screen and (max-width: 680px) {
}
